Bug 1127613 - [abrt] xfce4-panel: gtk_widget_style_get_valist(): xfce4-panel killed by SIGSEGV
Summary: [abrt] xfce4-panel: gtk_widget_style_get_valist(): xfce4-panel killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-panel
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4b6534478b61420acad29e44779...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 09:02 UTC by Jerome Marchand
Modified: 2015-06-30 01:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:06:42 UTC


Attachments (Terms of Use)
File: backtrace (36.85 KB, text/plain)
2014-08-07 09:02 UTC, Jerome Marchand
no flags Details
File: cgroup (172 bytes, text/plain)
2014-08-07 09:02 UTC, Jerome Marchand
no flags Details
File: core_backtrace (9.26 KB, text/plain)
2014-08-07 09:02 UTC, Jerome Marchand
no flags Details
File: dso_list (9.15 KB, text/plain)
2014-08-07 09:02 UTC, Jerome Marchand
no flags Details
File: environ (1.36 KB, text/plain)
2014-08-07 09:02 UTC, Jerome Marchand
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-07 09:02 UTC, Jerome Marchand
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-07 09:02 UTC, Jerome Marchand
no flags Details
File: maps (46.61 KB, text/plain)
2014-08-07 09:02 UTC, Jerome Marchand
no flags Details
File: open_fds (1.70 KB, text/plain)
2014-08-07 09:02 UTC, Jerome Marchand
no flags Details
File: proc_pid_status (947 bytes, text/plain)
2014-08-07 09:02 UTC, Jerome Marchand
no flags Details
File: var_log_messages (389 bytes, text/plain)
2014-08-07 09:02 UTC, Jerome Marchand
no flags Details

Description Jerome Marchand 2014-08-07 09:02:02 UTC
Description of problem:
I reconnected my laptop (Lenove x240) to the docking station and enabled the display on my desk monitor (port DP2) on xfce4-display-settings.

Version-Release number of selected component:
xfce4-panel-4.10.1-3.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        xfce4-panel --preferences --display :0.0 --sm-client-id 217e0213b-9dd4-4ee0-ad3c-6f3e446d43c2
crash_function: gtk_widget_style_get_valist
executable:     /usr/bin/xfce4-panel
kernel:         3.14.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_widget_style_get_valist at gtkwidget.c:10009
 #1 gtk_widget_style_get at gtkwidget.c:10043
 #2 get_workspace_rect at pager.c:613
 #3 wnck_pager_queue_draw_workspace at pager.c:1442
 #8 emit_geometry_changed at window.c:3258
 #9 _wnck_window_process_configure_notify at window.c:2586
 #10 filter_func at xutils.c:696
 #11 gdk_event_apply_filters at gdkevents-x11.c:356
 #12 gdk_event_translate at gdkevents-x11.c:946
 #13 _gdk_events_queue at gdkevents-x11.c:2336

Comment 1 Jerome Marchand 2014-08-07 09:02:06 UTC
Created attachment 924804 [details]
File: backtrace

Comment 2 Jerome Marchand 2014-08-07 09:02:07 UTC
Created attachment 924805 [details]
File: cgroup

Comment 3 Jerome Marchand 2014-08-07 09:02:08 UTC
Created attachment 924806 [details]
File: core_backtrace

Comment 4 Jerome Marchand 2014-08-07 09:02:09 UTC
Created attachment 924807 [details]
File: dso_list

Comment 5 Jerome Marchand 2014-08-07 09:02:11 UTC
Created attachment 924808 [details]
File: environ

Comment 6 Jerome Marchand 2014-08-07 09:02:12 UTC
Created attachment 924809 [details]
File: exploitable

Comment 7 Jerome Marchand 2014-08-07 09:02:13 UTC
Created attachment 924810 [details]
File: limits

Comment 8 Jerome Marchand 2014-08-07 09:02:15 UTC
Created attachment 924811 [details]
File: maps

Comment 9 Jerome Marchand 2014-08-07 09:02:16 UTC
Created attachment 924812 [details]
File: open_fds

Comment 10 Jerome Marchand 2014-08-07 09:02:17 UTC
Created attachment 924813 [details]
File: proc_pid_status

Comment 11 Jerome Marchand 2014-08-07 09:02:19 UTC
Created attachment 924814 [details]
File: var_log_messages

Comment 12 Kevin Fenzi 2014-08-11 15:09:48 UTC
Does the issue happen every time when you do that?

Comment 13 Jerome Marchand 2014-08-12 09:29:53 UTC
No, so far it happens only once.

Comment 14 Fedora End Of Life 2015-05-29 12:34:43 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-30 01:06:42 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.